import { AfterViewInit, OnDestroy, ViewContainerRef } from '@angular/core';
import { ButtonComponent } from '@fundamental-ngx/core/button';
import { ListItemComponent } from '@fundamental-ngx/core/list';
import * as i0 from "@angular/core";
export type SettingsViewMode = 'lg' | 'md' | 'sm';
export declare enum VIEW_MODE {
    LG = "lg",
    MD = "md",
    SM = "sm"
}
export declare class SettingsContainerComponent implements OnDestroy, AfterViewInit {
    /** @hidden */
    readonly viewContainer: import("@angular/core").Signal<ViewContainerRef | undefined>;
    /** @hidden */
    readonly headerButton: import("@angular/core").Signal<ButtonComponent | undefined>;
    /** @hidden */
    readonly listItems: import("@angular/core").Signal<readonly ListItemComponent<any>[]>;
    /** @hidden */
    readonly activeListItem: import("@angular/core").WritableSignal<ListItemComponent<any> | null>;
    /** @hidden */
    readonly viewMode: import("@angular/core").WritableSignal<SettingsViewMode>;
    /** @hidden */
    readonly screenWidth: import("@angular/core").WritableSignal<number>;
    /** @hidden */
    readonly showListArea: import("@angular/core").WritableSignal<boolean>;
    /** @hidden */
    readonly showDetailArea: import("@angular/core").WritableSignal<boolean>;
    /** @hidden */
    private _eventUnlisteners;
    /** @hidden */
    private _renderer;
    /** @hidden */
    constructor();
    /** @hidden */
    onWindowResize(): void;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    private _updateViewMode;
    /** @hidden */
    private _setupHeaderButton;
    /** @hidden */
    private _updateHeaderButtonVisibility;
    /** @hidden */
    private _setupListItemListeners;
    /** @hidden */
    private _renderTemplate;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingsContainerComponent, "fd-settings-container", never, {}, {}, ["viewContainer", "headerButton", "listItems"], ["[fd-settings-list-area]", "[fd-settings-detail-area]"], true, never>;
}
